ControllerThreadSocketFactory.SocketTask (HttpClient Library (Version 3.1))
Date: 2019-09-02

org.apache.commons.httpclient.protocol

## Class ControllerThreadSocketFactory.SocketTask

- java.lang.Object
- - org.apache.commons.httpclient.protocol.ControllerThreadSocketFactory.SocketTask

- All Implemented Interfaces:
    java.lang.Runnable
  Enclosing class:
    ControllerThreadSocketFactory

      public abstract static class ControllerThreadSocketFactory.SocketTask
      extends java.lang.Object
      implements java.lang.Runnable

  Helper class for wrapping socket based tasks.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SocketTask()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `doit()` Perform the logic.
    `protected java.net.Socket` | `getSocket()` Return the socket.
    `void` | `run()` Execute the logic in this object and keep track of any exceptions.
    `protected void` | `setSocket(java.net.Socket newSocket)` Set the socket.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SocketTask

          public SocketTask()

  - ### Method Detail

    - #### setSocket

          protected void setSocket(java.net.Socket newSocket)

      Set the socket.
      Parameters:
        `newSocket` - The new socket.

    - #### getSocket

          protected java.net.Socket getSocket()

      Return the socket.
      Returns:
        Socket The socket.

    - #### doit

          public abstract void doit()
                             throws java.io.IOException

      Perform the logic.
      Throws:
        `java.io.IOException` - If an IO problem occurs

    - #### run

          public void run()

      Execute the logic in this object and keep track of any exceptions.
      Specified by:
        `run` in interface `java.lang.Runnable`

Copyright (c) 1999-2005 - Apache Software Foundation